SupplierProductList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class SupplierProductList

    java.lang.Object
      com.fenalco.entities.SupplierProductList

    public class SupplierProductList

extends java.lang.Object

Esta clase representa el conjunto de productos ofrecidos por un proveedor en el sistema, constituye la forma de ensamblar el catálogo de productos al permitir su creación por criterios como proveedor, categoría de producto, campo de búsqueda y tipo de ordenamiento. Ordenamiento 0: Alfabético Ordenamiento 1: Por proveedor Ordenamiento 2: Por Precio

Author:
  Néstor Romero León

Field Summary
`private java.util.Hashtable` | `supplierProducts` Este `Hashtable` agrupa el conjunto de productos que un proveedor ofrece en el sistema, es un reflejo de los registros de la tabla proveedor_producto para un proveedor específico.

Constructor Summary
`SupplierProductList(int supplierId)` Constructor para generar un listado de los productos ofrecidos por un proveedor para el uso del proveedor.
`SupplierProductList(int supplierId, int communityId)` Este constructor genera un listado de los productos que un proveedor tiene asociados a una comunidad determinada, para ello recibe como parámetros los identificadores de proveedor y de comunidad.
`SupplierProductList(int shopKeeperId, int supplierId, int category, int sortCriteria, java.lang.String searchField)` Constructor para generar un listado de los productos ofrecidos por un proveedor para el uso del minorista.

Method Summary
`java.util.Hashtable` | `getSupplierProducts()` Consultor para el atributo supplierProducts.
`boolean` | `loadData(int supplierId)` Este método utiliza los parámetros recibidos para cargar un listado de los productos para uso del proveedor, llama al método `query` de la clase `SQLUtilities`.
`boolean` | `loadData(int supplierId, int communityId)` Este método consulta la base de datos para cargar un listado de los productos que un proveedor tiene asociados a una comunidad determinada.
`boolean` | `loadData(int shopKeeperId, int supplierId, int category, int sortCriteria, java.lang.String searchField)` Este método utiliza los parámetros recibidos para cargar un listado de los productos para uso del minorista, llama al método `query` de la clase `SQLUtilities`.
`void` | `setSupplierProducts(java.util.Hashtable supplierProducts)` Modificador para el atributo supplierProducts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### supplierProducts

    private java.util.Hashtable supplierProducts

  Este `Hashtable` agrupa el conjunto de productos que un proveedor ofrece en el sistema, es un reflejo de los registros de la tabla proveedor_producto para un proveedor específico.

Constructor Detail

### SupplierProductList

    public SupplierProductList(int supplierId)

  Constructor para generar un listado de los productos ofrecidos por un proveedor para el uso del proveedor. Este método llama al método `loadData` que recibe los mismos parámetros. Los parámetros reciben como parámetro por defecto (-1) para listar todos las entradas para una selección específica, por ejemplo todas las categorías.

  Parameters:
    `supplierId` - Identificador del proveedor

### SupplierProductList

    public SupplierProductList(int supplierId,
                               int communityId)

  Este constructor genera un listado de los productos que un proveedor tiene asociados a una comunidad determinada, para ello recibe como parámetros los identificadores de proveedor y de comunidad. Para la consulta de la base de datos hace un llamado al método `loadData` que recibe los mismos parámetros.

  Parameters:
    `supplierId` - Identificador del proveedor
    `communityId` - Identificador de la comunidad

### SupplierProductList

    public SupplierProductList(int shopKeeperId,
                               int supplierId,
                               int category,
                               int sortCriteria,
                               java.lang.String searchField)

  Constructor para generar un listado de los productos ofrecidos por un proveedor para el uso del minorista. Este método llama al método `loadData` que recibe los mismos parámetros. Los parámetros reciben como parámetro por defecto (-1)para listar todos las entradas para una selección específica, por ejemplo todos los proveedores, todas las categorías, etc.

  Parameters:
    `shopKeeperId` - Identificador del minorista
    `supplierId` - Identificador del proveedor
    `category` - Categoría del producto
    `sortCriteria` - Criterio de ordenamiento
    `searchField` - Campo de búsqueda

Method Detail

### loadData

    public boolean loadData(int supplierId)

  Este método utiliza los parámetros recibidos para cargar un listado de los productos para uso del proveedor, llama al método `query` de la clase `SQLUtilities`.

  Parameters:
    `supplierId` - Identificador del proveedor
  Returns:
    Valor booleano que indica la operación tuvo éxito o no.

### loadData

    public boolean loadData(int supplierId,
                            int communityId)

  Este método consulta la base de datos para cargar un listado de los productos que un proveedor tiene asociados a una comunidad determinada. Hace uso del método `query` de la clase `SQLUtilities`.

  Parameters:
    `supplierId` - Identificador del proveedor
    `communityId` - Identificador de la comunidad
  Returns:
    Valor booleano que indica si la operación tuvo éxito o no.

### loadData

    public boolean loadData(int shopKeeperId,
                            int supplierId,
                            int category,
                            int sortCriteria,
                            java.lang.String searchField)

  Este método utiliza los parámetros recibidos para cargar un listado de los productos para uso del minorista, llama al método `query` de la clase `SQLUtilities`. Este método debe tener en cuenta si el minorista puede ver o no al proveedor y si el minorista es cliente exclusivo de algún proveedor. Un valor de -1 en el identificador del minorista(shopKeeperId) indica que el listado será utilizado por un proveedor como catálogo de sus productos.

  Parameters:
    `shopKeeperId` - Identificador del minorista
    `supplierId` - Identificador del proveedor
    `category` - Categoría de producto
    `sortCriteria` - Criterio de ordenamiento
    `searchField` - Campo de búsqueda
  Returns:
    Valor booleano que indica si la operación tuvo éxito o no.

### getSupplierProducts

    public java.util.Hashtable getSupplierProducts()

  Consultor para el atributo supplierProducts.

  Returns:
    Valor del atributo supplierProducts.

### setSupplierProducts

    public void setSupplierProducts(java.util.Hashtable supplierProducts)

  Modificador para el atributo supplierProducts.

  Parameters:
    `supplierProducts` - Nuevo valor para el atributo supplierProducts.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD